# reporting.exporters.update

Update Reporting Exporter of id.

Type: object

##

Type: array
No Additional Items

#### Tuple Validation

##### Parameter 1: id

#### id

Type: integer

##### Parameter 2: reporting_exporter_update

#### reporting_exporter_update

Type: object
No Additional Properties

##

#### Enabled

Type: boolean

##

#### Attributes

Type: object

Specific attributes for the exporter

No Additional Properties

##

#### Exporter Type

Type: const
Specific value: `"GRAPHITE"`

##

#### Destination Ip

Type: string

Must be at least `1` characters long

##

#### Destination Port

Type: integer

Value must be greater or equal to `1` and lesser or equal to `65535`

##

#### Prefix

Type: string Default: "scale"

##

#### Namespace

Type: string

Must be at least `1` characters long

##

#### Update Every

Type: integer Default: 1

Value must be greater or equal to `1`

##

#### Buffer On Failures

Type: integer Default: 10

Value must be greater or equal to `1`

##

#### Send Names Instead Of Ids

Type: boolean Default: true

##

#### Matching Charts

Type: string Default: "*"

Must be at least `1` characters long

##

#### Name

Type: string

User defined name of exporter configuration

##

#### ReportingExportsEntry

Type: object
No Additional Properties

##

#### Id

Type: integer

##

#### Enabled

Type: boolean

##

#### Attributes

Type: object

Specific attributes for the exporter

No Additional Properties

##

#### Exporter Type

Type: const
Specific value: `"GRAPHITE"`

##

#### Destination Ip

Type: string

Must be at least `1` characters long

##

#### Destination Port

Type: integer

Value must be greater or equal to `1` and lesser or equal to `65535`

##

#### Prefix

Type: string Default: "scale"

##

#### Namespace

Type: string

Must be at least `1` characters long

##

#### Update Every

Type: integer Default: 1

Value must be greater or equal to `1`

##

#### Buffer On Failures

Type: integer Default: 10

Value must be greater or equal to `1`

##

#### Send Names Instead Of Ids

Type: boolean Default: true

##

#### Matching Charts

Type: string Default: "*"

Must be at least `1` characters long

##

#### Name

Type: string

User defined name of exporter configuration

Required roles: REPORTING_WRITE